[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.ExcludeClipRect

Excludes a rectangle from the clipping region, i.e. prevents painting within the rectangle.

## Declaration

Source position: winapih.inc line 98

`public function TWidgetSet.ExcludeClipRect(`
`dc: HDC;`
`Left: Integer;`
`Top: Integer;`
`Right: Integer;`
`Bottom: Integer`
`):Integer; virtual;`

## Function result

The type of the new clipping region, Error (0) on failure.